const prefix = "/analysis";

import {axios} from "@/requests/axios.config";

//knowledge
function getK1(userId) {
    return axios.get(`${prefix}/knowledge/K1/${userId}`);
}

function getK2(userId) {
    return axios.get(`${prefix}/knowledge/K2/${userId}`);
}

function getK3(userId) {
    return axios.get(`${prefix}/knowledge/K3/${userId}`);
}

//skill

function getS1(userId) {
    return axios.get(`${prefix}/skill/S1/${userId}`);
}

function getS2(userId) {
    return axios.get(`${prefix}/skill/S2/${userId}`);
}

function getS3(userId) {
    return axios.get(`${prefix}/skill/S3/${userId}`);
}

function getS4(userId) {
    return axios.get(`${prefix}/skill/S4/${userId}`);
}

//dilemma
function getD1(userId) {
    return axios.get(`${prefix}/dilemma/D1/${userId}`);
}

function getD2(userId) {
    return axios.get(`${prefix}/dilemma/D2/${userId}`);
}

function getD3(userId) {
    return axios.get(`${prefix}/dilemma/D3/${userId}`);
}

const analysisAPIs = {
    getK1,
    getK2,
    getK3,

    getS1,
    getS2,
    getS3,
    getS4,

    getD1,
    getD2,
    getD3
};

export default analysisAPIs;
